#include <stdio.h>
#include <stdlib.h>

int main() {
    int n, l,h[61],izlaz=0;

    scanf("%d %d", &n, &l);
    for (int i = 1; i <= n; i++) {
        scanf("%d", &h[i]);
    }
    for (int i = 1; i <= n; i++) {
        if(l<h[i]){
            izlaz++;
        }else break;
    }
    if(izlaz == n)
        printf("-1");
    else
        printf("%d",izlaz +1);
}